<?php
/**
 * @version     $Id$
 * @package     NoSchool
 * @subpackage  com_noschool
 * @copyright   Copyright 2010 - 2012 Jumbotron Sports. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.controller');

/**
 * NoSchool Component Controller
 *
 * @package     NoSchool
 * @subpackage  com_noschool
 * @since       2.0.0
 */
class NoSchoolController extends JController
{
	/**
	 * @var    string  The default view.
	 * @since  2.0.0
	 */
	protected $default_view = 'noschool';

	/**
	 * Override the display method for the controller.
	 *
	 * @return  void
	 * @since   2.0.0
	 */
	function display()
	{
		// Load the component helper.
		require_once JPATH_COMPONENT.'/helpers/noschool.php';

		// Load the submenu.
		$view = JRequest::getCmd('view', 'noschool');
		NoSchoolHelper::addSubmenu($view);

		// Display the view.
		parent::display();
	}}